#! /bin/bash
#
# Script to start the main processing script
# Shortwave Infrared version...

# Load our base config file for processing.
. $HOME/.processrc-sw

COMPTIME=`date -u -d "${PDELAY} minutes ago" +%y%j%H%M`00
halfwindow=`expr $PWINDOW / 2`
startwindow=`expr $PDELAY + $halfwindow`
endwindow=`expr $PDELAY - $halfwindow`
TSTART=`date -u -d "${startwindow} minutes ago" +%y%j%H%M`00
TEND=`date -u -d "${endwindow} minutes ago" +%y%j%H%M`00

$HOME/combine/np_sw_processdata.sh -w 180 -t $COMPTIME -s $TSTART -e $TEND

